Core-2
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
GET | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
POST | |
POST | |
POST | |
GET | |
POST | |
POST | |
GET | |
GET | |
POST |
List all environments exports
Required API key scopes
export:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /exportsExample response
Status 200
RESPONSE
Create environments exports
Required API key scopes
export:writeRequest parameters
- dashboardintegernull
- insightintegernull
- export_format
- export_context
Response
Example request
POST /api /environments /:environment_id /exportsExample response
Status 201
RESPONSE
Retrieve environments exports
Required API key scopes
export:readPath parameters
- idinteger
Response
Example request
GET /api /environments /:environment_id /exports /:idExample response
Status 200
RESPONSE
Retrieve environments exports content
Required API key scopes
export:readPath parameters
- idinteger
Example request
GET /api /environments /:environment_id /exports /:id /contentExample response
Status 200 No response body
List all environments file system
Required API key scopes
file_system:readQuery parameters
- limitinteger
- offsetinteger
- searchstring
Response
Example request
GET /api /environments /:environment_id /file_systemExample response
Status 200
RESPONSE
Create environments file system
Required API key scopes
file_system:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Response
Example request
POST /api /environments /:environment_id /file_systemExample response
Status 201
RESPONSE
Retrieve environments file system
Required API key scopes
file_system:readPath parameters
- idstring
Response
Example request
GET /api /environments /:environment_id /file_system /:idExample response
Status 200
RESPONSE
Update environments file system
Required API key scopes
file_system:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Response
Example request
PATCH /api /environments /:environment_id /file_system /:idExample response
Status 200
RESPONSE
Delete environments file system
Required API key scopes
file_system:writePath parameters
- idstring
Example request
DELETE /api /environments /:environment_id /file_system /:idExample response
Status 204 No response body
Create environments file system count
Get count of all files in a folder.
Path parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /:id /countExample response
Status 200 No response body
Create environments file system link
Path parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /:id /linkExample response
Status 200 No response body
Create environments file system move
Path parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /:id /moveExample response
Status 200 No response body
Create environments file system count by path
Get count of all files in a folder.
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /count_by_pathExample response
Status 200 No response body
Retrieve environments file system log view
Example request
GET /api /environments /:environment_id /file_system /log_viewExample response
Status 200 No response body
Create environments file system log view
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /log_viewExample response
Status 200 No response body
Create environments file system undo delete
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- meta
- shortcutbooleannull
Example request
POST /api /environments /:environment_id /file_system /undo_deleteExample response
Status 200 No response body
Retrieve environments file system unfiled
Example request
GET /api /environments /:environment_id /file_system /unfiledExample response
Status 200 No response body
List all environments groups
List all groups of a specific group type. You must pass ?group_type_index= in the URL. To get a list of valid group types, call /api/:project_id/groups_types/.
Uses forward-only keyset pagination via the cursor parameter.
The previous field in the response envelope is always null.
Required API key scopes
group:readQuery parameters
- cursorstring
- group_keystring
- group_type_indexinteger
- searchstring
Example request
GET /api /environments /:environment_id /groupsExample response
Status 200
RESPONSE
Create environments groups
Required API key scopes
group:writeRequest parameters
- group_type_indexinteger
- group_keystring
- group_properties
Response
Example request
POST /api /environments /:environment_id /groupsExample response
Status 201
RESPONSE